package com.chinacreator.video.restful.dao;

import org.apache.ibatis.annotations.Param;

import java.util.Map;

public interface BackBusiConfDao {

    int findBySpid(@Param("spid") String spid);

    void insertSpInfo(Map spInfo);

    void insertBackBusi(Map backbusi);

    void insertSyncSp(Map syncSp);

    void insertSyncConf(Map syncConf);

    void insertAop(Map spAop);

    void insertHsParams(@Param("cpid") String cpid, @Param("spid") String spid, @Param("input") String input, @Param("productype") String productype, @Param("spname") String spname);

    void insertConf(@Param("cpid") String cpid, @Param("spid") String spid);
}
